Bug was introduced in version 8.
20201007, lost a necessary mkdir.
This commit was sponsored by Noam Kremen on Patreon.
git-annex (8.20201008) UNRELEASED; urgency=medium
+ * Fix bug that prevented linux standalone bundle from working on a fresh
+ install.
* Fix build on Windows with network-3.
* Fix a memory leak introduced in the last release.
* add, import: Fix a reversion in 7.20191009 that broke handling
--- /dev/null
+[[!comment format=mdwn
+ username="joey"
+ subject="""comment 2"""
+ date="2020-10-23T16:15:42Z"
+ content="""
+I've fixed this for the next release. It was simply omitting creating the
+/home/user/.cache/git-annex/locales/ directory, so as a workaround you can
+create that directory.
+"""]]
done
if [ ! -d "$LOCPATH" ]; then
+ if ! mkdir -p "$HOME/.cache/git-annex/locales"; then
+ echo "Unable to write to $HOME/.cache/git-annex/locales; can't continue!" >&2
+ exit 1
+ fi
locpathtmp="$HOME/.cache/git-annex/locales.tmp/$locpathbase.$$"
if ! mkdir -p "$locpathtmp"; then
echo "Unable to write to $locpathtmp; can't continue!" >&2